Search Results for

Show / Hide Table of Contents

# Class MenuOpeningEventArgs

An System.EventArgs which allows passing a cancelable menu opening event or replacing with a new MenuBarItem.

##### Inheritance

System.Object
System.EventArgs
MenuOpeningEventArgs

##### Inherited Members

System.EventArgs.Empty
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class MenuOpeningEventArgs : EventArgs

### Constructors

#### MenuOpeningEventArgs(MenuBarItem)

Initializes a new instance of MenuOpeningEventArgs

##### Declaration

    public MenuOpeningEventArgs(MenuBarItem currentMenu)

##### Parameters

Type | Name | Description
--- | --- | ---
MenuBarItem | currentMenu | The current MenuBarItem parent.

### Properties

#### Cancel

Flag that allows you to cancel the opening of the menu.

##### Declaration

    public bool Cancel { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### CurrentMenu

The current MenuBarItem parent.

##### Declaration

    public MenuBarItem CurrentMenu { get; }

##### Property Value

Type | Description
--- | ---
MenuBarItem |

#### NewMenuBarItem

The new MenuBarItem to be replaced.

##### Declaration

    public MenuBarItem NewMenuBarItem { get; set; }

##### Property Value

Type | Description
--- | ---
MenuBarItem |